## noris-nagios-esxplugins 5.0

=== Makefile ===
build:
	[ -d usr/lib/nagios/plugins ] || mkdir usr/lib/nagios/plugins
	chmod 755 usr/lib/nagios/plugins/check_esx*

install: build
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-esxplugins (5.0) unstable; urgency=low

  * Initial Release.

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Jun 2010 10:37:32 +0200

=== debian/control ===
Source: noris-nagios-esxplugins
Section: noris/server
Priority: extra
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://www.op5.com/support/documentation/how-to/400-monitoring-vmware-esx-3x-esxi-vsphere-4-and-vcenter-server

Package: noris-nagios-esxplugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libclass-accessor-perl, libconfig-tiny-perl, libclass-methodmaker-perl, ibmath-calc-units-perl (>=1.07), libnagios-plugin-perl (>=0.34)
Description: Monitoring VMware ESX 3.x, ESXi, vSphere 4 and vCenter Server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-nagios-esxplugins.sgml > noris-nagios-esxplugins.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-esxplugins.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-nagios-esxplugins install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-esxplugins 5.9

=== debian/changelog ===
noris-nagios-esxplugins (5.9) lenny; urgency=low

  * 11237509, added command definition for check_esxi_hardware.py

 -- Georg Gliniak <georg.gliniak@noris.de>  Tue, 28 Jun 2011 11:09:13 +0200

noris-nagios-esxplugins (5.8) lenny; urgency=low

  * 11237509, added check_esxi_hardware.py

 -- Georg Gliniak <georg.gliniak@noris.de>  Tue, 28 Jun 2011 10:56:53 +0200

noris-nagios-esxplugins (5.7) lenny; urgency=low

  * added debian/conffiles

 -- Stefan Steiner <ssteiner@jack64>  Fri, 29 Oct 2010 15:10:48 +0200

noris-nagios-esxplugins (5.6) stable; urgency=low

  * added special vcenter checks 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 17 Jun 2010 13:29:45 +0200

noris-nagios-esxplugins (5.5) stable; urgency=low

  * made checks more flexible 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 16 Jun 2010 09:11:33 +0200

noris-nagios-esxplugins (5.4) stable; urgency=low

  *  new name for new check

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 15 Jun 2010 12:10:35 +0200

noris-nagios-esxplugins (5.3) stable; urgency=low

  * added config status check 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 15 Jun 2010 12:01:54 +0200

noris-nagios-esxplugins (5.2) stable; urgency=low

  * removed unmet dependencies 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Jun 2010 12:48:52 +0200

noris-nagios-esxplugins (5.1) stable; urgency=low

  * s/unstable/stable/ (grrrrrrrrrrrrrrrrr)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Jun 2010 12:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: noris-nagios-esxplugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libclass-accessor-perl, libconfig-tiny-perl, libclass-methodmaker-perl, ibmath-calc-units-perl (>=1.07), libnagios-plugin-perl (>=0.34)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclass-accessor-perl, libconfig-tiny-perl, libclass-methodmaker-perl, python-pywbem
 Description: Monitoring VMware ESX 3.x, ESXi, vSphere 4 and vCenter Server

## noris-nagios-esxplugins 6.0-1

=== debian/changelog ===
noris-nagios-esxplugins (6.0-1) squeeze; urgency=low

  * First Build for squeeze 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Feb 2011 14:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: noris-nagios-esxplugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libclass-accessor-perl, libconfig-tiny-perl, libclass-methodmaker-perl, python-pywbem
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclass-accessor-perl, libconfig-tiny-perl, libclass-methodmaker-perl
 Description: Monitoring VMware ESX 3.x, ESXi, vSphere 4 and vCenter Server
